Package Details: awesome-luajit-git 4.3.886.ged6cdf87b-1

Git Clone URL: https://aur.archlinux.org/awesome-luajit-git.git (read-only, click to copy)
Package Base: awesome-luajit-git
Description: awesome window manager built with luajit
Upstream URL: https://awesomewm.org/
Licenses: GPL2
Conflicts: awesome
Provides: awesome, notification-daemon
Submitter: Mic92
Maintainer: blueyed
Last Packager: blueyed
Votes: 10
Popularity: 0.059762
First Submitted: 2012-12-30 22:37
Last Updated: 2020-10-07 11:47

Required by (58)

Sources (3)

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

blueyed commented on 2016-06-02 20:37

I would have expected this to build the git master version, and therefore think this package should be renamed to awesome-luajit?!

FWIW, I've came up with the following patch against awesome-git to build it with luajit: http://sprunge.us/PjhY

Mic92 commented on 2016-03-14 19:43

updated

utsi commented on 2016-03-12 18:34

Could you bump the package up to 3.5.9?

Builds and works fine if I manually change it in the PKGBUILD.

Mic92 commented on 2014-11-26 08:23

- point to new git repo

m0ikz commented on 2014-11-25 18:12

It seems that the Awesome repo moved to github https://github.com/awesomeWM/awesome.git
Please update the PKGBUILD.

Thanks

Mic92 commented on 2014-06-09 12:00

- upgrade to tag v3.5.5
- use xcb-util-cursor instead of -git variant
- use mkaurball for compatibility with AURv3

actionless commented on 2014-05-28 02:29

why it have 'xcb-util-cursor-git' in dependencies?
it works for me with 'xcb-util-cursor' from 'community' repo

Mic92 commented on 2014-03-30 19:06

Changes:
- add /etc/xdg/awesome/rc.lua to backup array
- seperate xsession file for kdm
- use luajit-lgi instead of luajit-lgi-git as build dependency

PKGBUILD is maintained here: https://github.com/Mic92/PKGBUILDs/tree/master/awesome-luajit-git

Mic92 commented on 2013-09-21 16:21

New Version: add xcb-util-cursor-git and drop libxcursor and xcb-util-image.

Anonymous comment on 2013-09-21 15:16

Needs xcb-util-cursor-git as a dependency now. Also, xcb-util-image is no longer needed.